Show / Hide Table of Contents

# AsyncDeselectTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncDeselectTrigger : AsyncTriggerBase<BaseEventData>, IUniTaskAsyncEnumerable<BaseEventData>, IDeselectHandler

##### Inheritance

System.Object → AsyncTriggerBase<BaseEventData> → AsyncDeselectTrigger

##### Implements

IUniTaskAsyncEnumerable<BaseEventData>
IDeselectHandler

### Members

#### Methods

Name | Description
--- | ---
GetOnDeselectAsyncHandler() |
GetOnDeselectAsyncHandler(CancellationToken) |
OnDeselectAsync() |
OnDeselectAsync(CancellationToken) |

### Methods

#### GetOnDeselectAsyncHandler()

    public IAsyncOnDeselectHandler GetOnDeselectAsyncHandler()

##### Returns

IAsyncOnDeselectHandler

#### GetOnDeselectAsyncHandler(CancellationToken)

    public IAsyncOnDeselectHandler GetOnDeselectAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnDeselectHandler

#### OnDeselectAsync()

    public UniTask<BaseEventData> OnDeselectAsync()

##### Returns

UniTask<BaseEventData>

#### OnDeselectAsync(CancellationToken)

    public UniTask<BaseEventData> OnDeselectAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask<BaseEventData>

### Implements

IUniTaskAsyncEnumerable<T>
IDeselectHandler